        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE CHARAR__genmod
          INTERFACE 
            SUBROUTINE CHARAR(XR,YR,THR,MR,XN,MN,NIT,ID,G)
              REAL(KIND=4) :: XR
              REAL(KIND=4) :: YR
              REAL(KIND=4) :: THR
              REAL(KIND=4) :: MR
              REAL(KIND=4) :: XN
              REAL(KIND=4) :: MN
              INTEGER(KIND=4) :: NIT
              INTEGER(KIND=4) :: ID
              REAL(KIND=4) :: G
            END SUBROUTINE CHARAR
          END INTERFACE 
        END MODULE CHARAR__genmod
